Altibase.jdbc.driver.ex

## Class ShardJdbcException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - Altibase.jdbc.driver.ex.ShardJdbcException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

Direct Known Subclasses:
  ShardFailoverIsNotAvailableException, ShardFailOverSuccessException

    public class ShardJdbcException
    extends java.sql.SQLException

접속 장애 상황에서 발생하는 Shard jdbc exception
내부적으로 node name을 가지고 있으며 노드커넥션에서 발생한 에러메세지에 대해서는
node name, ip address, port를 추가해서 돌려준다.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ShardJdbcException(java.lang.String aErrorMsg, int aErrorCode, java.lang.String aNodeName, java.lang.String aIpAddress, int aPortNo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNodeName()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ShardJdbcException

    public ShardJdbcException(java.lang.String aErrorMsg,
                              int aErrorCode,
                              java.lang.String aNodeName,
                              java.lang.String aIpAddress,
                              int aPortNo)

### Method Detail

#### getNodeName

    public java.lang.String getNodeName()